function XYtoYX(layer)
{
	for (var s = 0; s < layer.shapeCount; ++s)
	{
		var shp = layer.getShape(s);
		if (shp != null)
		{
			for (p = 0; p < shp.partCount; ++p)
			{
				for (c = 0; c < shp.getCoordCount(p); ++c)
				{
					var coord = shp.getCoord(p, c);
					var y = coord.y;
					coord.y = coord.x;
					coord.x = y;
				}
			}
		}
		shp.recalcBoundingBox();
	}
	layer.recalcBoundingBox();
}

function start()
{
	if (!confirm('Continuing will switch all x and y values\nfor all selected layers.'))
		return;

	var convertedCount = 0;
	for (var l = 0; l < workspace.layerCount; ++l)
	{
		var layer = workspace.getLayer(l);
		if (layer != null && layer.selected)
		{
			layer.readOnly = false;
			XYtoYX(layer);
			++convertedCount;
		}
	}
	workspace.refresh();

	alert('' + convertedCount + ' layer(s) successfully converted.')
}


start();



